Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.PDF3DAnnotInstance Class Reference
Inheritance diagram for FoxitPDFSDKPython2.PDF3DAnnotInstance:

## Public Member Functions
def | PDF3DAnnotInstance ()
| Constructor.
def | PDF3DAnnotInstance (other)
| Constructor, with another 3d annot instance object. More...
def | ActivateCanvas (screen_canvas_parent)
| Activate canvas. More...
def | ApplyPresetView (view_data)
| Apply the preset view . More...
def | GetPresetViewList ()
| Get the list of all preset views in the 3D model. More...
def | GetRootNode ()
| Get the root node of the 3D model tree structure. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | OnLButtonDown (flag, point)
| Call this function when pressing the left button. More...
def | OnLButtonUp (flag, point)
| Call this function when releasing the left button. More...
def | OnMouseMove (flag, point)
| Call this function when moving the mouse. More...
def | OnMouseWheel (flag, delta, point)
| Call this function when scrolling the mouse wheel. More...
def | OnRButtonDown (flag, point)
| Call this function when pressing the right button. More...
def | OnRButtonUp (flag, point)
| Call this function when releasing the right button. More...
def | ResetDefaultView ()
| Reset the view back to the default view, the 3D model will be reset to its default state. More...
def | SetController (tool_tag)
| Set controller. More...
def | SetRenderMode (render_mode)
| Set model render mode. More...
def | UpdateCanvas (rect)
| Update the canvas. More...

## Static Public Attributes
| e_ControllerFly = _fsdk.PDF3DAnnotInstance_e_ControllerFly
| fly.
| e_ControllerPan = _fsdk.PDF3DAnnotInstance_e_ControllerPan
| pan.
| e_ControllerRotate = _fsdk.PDF3DAnnotInstance_e_ControllerRotate
| rotate.
| e_ControllerSpin = _fsdk.PDF3DAnnotInstance_e_ControllerSpin
| spin.
| e_ControllerWalk = _fsdk.PDF3DAnnotInstance_e_ControllerWalk
| walk.
| e_ControllerZoom = _fsdk.PDF3DAnnotInstance_e_ControllerZoom
| zoom.
| e_RenderModeBoundingBox = _fsdk.PDF3DAnnotInstance_e_RenderModeBoundingBox
| Bounding box.
| e_RenderModeHiddenWireframe = _fsdk.PDF3DAnnotInstance_e_RenderModeHiddenWireframe
| Hidden wireframe.
| e_RenderModeIllustration = _fsdk.PDF3DAnnotInstance_e_RenderModeIllustration
| Illustration.
| e_RenderModeShadedIllustration = _fsdk.PDF3DAnnotInstance_e_RenderModeShadedIllustration
| Shaded illustration.
| e_RenderModeShadedVertices = _fsdk.PDF3DAnnotInstance_e_RenderModeShadedVertices
| Shaded vertices.
| e_RenderModeShadedWireframe = _fsdk.PDF3DAnnotInstance_e_RenderModeShadedWireframe
| Shaded wireframe.
| e_RenderModeSolid = _fsdk.PDF3DAnnotInstance_e_RenderModeSolid
| Solid.
| e_RenderModeSolidOutline = _fsdk.PDF3DAnnotInstance_e_RenderModeSolidOutline
| Solid outline.
| e_RenderModeSolidWireframe = _fsdk.PDF3DAnnotInstance_e_RenderModeSolidWireframe
| Solid wireframe.
| e_RenderModeTransparent = _fsdk.PDF3DAnnotInstance_e_RenderModeTransparent
| Transparent.
| e_RenderModeTransparentBoundingBox = _fsdk.PDF3DAnnotInstance_e_RenderModeTransparentBoundingBox
| Transparent bounding box.
| e_RenderModeTransparentBoundingBoxOutline = _fsdk.PDF3DAnnotInstance_e_RenderModeTransparentBoundingBoxOutline
| Transparent bounding box outline.
| e_RenderModeTransparentWireframe = _fsdk.PDF3DAnnotInstance_e_RenderModeTransparentWireframe
| Transparent wireframe.
| e_RenderModeVertices = _fsdk.PDF3DAnnotInstance_e_RenderModeVertices
| Vertices.
| e_RenderModeWireframe = _fsdk.PDF3DAnnotInstance_e_RenderModeWireframe
| Wireframe.

## Detailed Description

This class represents a 3D annotation instance.

See also
  PDF3DContext

## Constructor & Destructor Documentation

## ◆ PDF3DAnnotInstance()

def FoxitPDFSDKPython2.PDF3DAnnotInstance.PDF3DAnnotInstance | ( |  | other | ) |

Constructor, with another 3d annot instance object.

Parameters

  [in] | other | Another 3d annot instance object.

## Member Function Documentation

## ◆ ActivateCanvas()

def FoxitPDFSDKPython2.PDF3DAnnotInstance.ActivateCanvas | ( |  | screen_canvas_parent | ) |

Activate canvas.

Parameters

  [in] | screen_canvas_parent | The parent window handle used to activate the canvas.

Returns
  The canvas handle.

## ◆ ApplyPresetView()

def FoxitPDFSDKPython2.PDF3DAnnotInstance.ApplyPresetView | ( |  | view_data | ) |

Apply the preset view .

Ensure the function FoxitPDFSDKPython2.PDF3DAnnotInstance.ActivateCanvas has been called.

Parameters

  [in] | view_data | The data of the view to be set. It should be one of the data array returned by function .

Returns
  None.

## ◆ GetPresetViewList()

def FoxitPDFSDKPython2.PDF3DAnnotInstance.GetPresetViewList | ( |  | ) |

Get the list of all preset views in the 3D model.

Ensure the function FoxitPDFSDKPython2.PDF3DAnnotInstance.ActivateCanvas has been called.

Returns
  An array of view data.

## ◆ GetRootNode()

def FoxitPDFSDKPython2.PDF3DAnnotInstance.GetRootNode | ( |  | ) |

Get the root node of the 3D model tree structure.

Ensure the function FoxitPDFSDKPython2.PDF3DAnnotInstance.ActivateCanvas has been called.

Returns
  The root node of the 3D model tree structure.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.PDF3DAnnotInstance.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ OnLButtonDown()

def FoxitPDFSDKPython2.PDF3DAnnotInstance.OnLButtonDown | ( |  | flag,
|  |  | point
| ) |  |

Call this function when pressing the left button.

Ensure the function FoxitPDFSDKPython2.PDF3DAnnotInstance.ActivateCanvas has been called.

Parameters

  [in] | flag | The flag of the mouse event.
  [in] | point | The point of the mouse.

Returns
  None.

## ◆ OnLButtonUp()

def FoxitPDFSDKPython2.PDF3DAnnotInstance.OnLButtonUp | ( |  | flag,
|  |  | point
| ) |  |

Call this function when releasing the left button.

Ensure the function FoxitPDFSDKPython2.PDF3DAnnotInstance.ActivateCanvas has been called.

Parameters

  [in] | flag | The flag of the mouse event.
  [in] | point | The point of the mouse.

Returns
  None.

## ◆ OnMouseMove()

def FoxitPDFSDKPython2.PDF3DAnnotInstance.OnMouseMove | ( |  | flag,
|  |  | point
| ) |  |

Call this function when moving the mouse.

Ensure the function FoxitPDFSDKPython2.PDF3DAnnotInstance.ActivateCanvas has been called.

Parameters

  [in] | flag | The flag of the mouse event.
  [in] | point | The point of the mouse.

Returns
  None.

## ◆ OnMouseWheel()

def FoxitPDFSDKPython2.PDF3DAnnotInstance.OnMouseWheel | ( |  | flag,
|  |  | delta,
|  |  | point
| ) |  |

Call this function when scrolling the mouse wheel.

Ensure the function FoxitPDFSDKPython2.PDF3DAnnotInstance.ActivateCanvas has been called.

Parameters

  [in] | flag | The flag of the mouse event.
  [in] | delta | The delta of the mouse wheel.
  [in] | point | The point of the mouse.

Returns
  None.

## ◆ OnRButtonDown()

def FoxitPDFSDKPython2.PDF3DAnnotInstance.OnRButtonDown | ( |  | flag,
|  |  | point
| ) |  |

Call this function when pressing the right button.

Ensure the function FoxitPDFSDKPython2.PDF3DAnnotInstance.ActivateCanvas has been called.

Parameters

  [in] | flag | The flag of the mouse event.
  [in] | point | The point of the mouse.

Returns
  None.

## ◆ OnRButtonUp()

def FoxitPDFSDKPython2.PDF3DAnnotInstance.OnRButtonUp | ( |  | flag,
|  |  | point
| ) |  |

Call this function when releasing the right button.

Ensure the function FoxitPDFSDKPython2.PDF3DAnnotInstance.ActivateCanvas has been called.

Parameters

  [in] | flag | The flag of the mouse event.
  [in] | point | The point of the mouse.

Returns
  None.

## ◆ ResetDefaultView()

def FoxitPDFSDKPython2.PDF3DAnnotInstance.ResetDefaultView | ( |  | ) |

Reset the view back to the default view, the 3D model will be reset to its default state.

Ensure the function FoxitPDFSDKPython2.PDF3DAnnotInstance.ActivateCanvas has been called.

Returns
  None.

## ◆ SetController()

def FoxitPDFSDKPython2.PDF3DAnnotInstance.SetController | ( |  | tool_tag | ) |

Set controller.

Ensure the function FoxitPDFSDKPython2.PDF3DAnnotInstance.ActivateCanvas has been called.

Parameters

  [in] | tool_tag | The controller tool to be set. Please refer to values starting from FoxitPDFSDKPython2.PDF3DAnnotInstance.e_ControllerRotate and this should be one of these values. Default value: FoxitPDFSDKPython2.PDF3DAnnotInstance.e_ControllerRotate .

Returns
  None.

## ◆ SetRenderMode()

def FoxitPDFSDKPython2.PDF3DAnnotInstance.SetRenderMode | ( |  | render_mode | ) |

Set model render mode.

Ensure the function FoxitPDFSDKPython2.PDF3DAnnotInstance.ActivateCanvas has been called.

Parameters

  [in] | render_mode | The render mode to be set. Please refer to values starting from FoxitPDFSDKPython2.PDF3DAnnotInstance.e_RenderModeSolid and this should be one of these values. Default value: FoxitPDFSDKPython2.PDF3DAnnotInstance.e_RenderModeSolidOutline .

Returns
  None.

## ◆ UpdateCanvas()

def FoxitPDFSDKPython2.PDF3DAnnotInstance.UpdateCanvas | ( |  | rect | ) |

Update the canvas.

Ensure the function FoxitPDFSDKPython2.PDF3DAnnotInstance.ActivateCanvas has been called. Call this function when the canvas size and position need to be updated.

Parameters

  [in] | rect | The new area of canvas in device coordinate system.

Returns
  None.